## enki-2.0.tar.bz2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(enki)

add_subdirectory(enki)
add_subdirectory(examples)
add_subdirectory(viewer)

=== enki/CMakeLists.txt ===
include_directories (${enki_SOURCE_DIR})

add_library (enki
	Geometry.cpp
	Types.cpp
	PhysicalEngine.cpp
	BluetoothBase.cpp
	interactions/IRSensor.cpp
	interactions/CircularCam.cpp
	interactions/Bluetooth.cpp
	interactions/ActiveSoundSource.cpp
	interactions/Microphone.cpp
	robots/DifferentialWheeled.cpp
	robots/khepera/Khepera.cpp
	robots/e-puck/EPuck.cpp
	robots/alice/Alice.cpp
	robots/alice/AliceCommunication.cpp
	robots/alice/AliceCam.cpp
	robots/s-bot/Sbot.cpp
	robots/s-bot/SbotObject.cpp
	robots/marxbot/Marxbot.cpp
)

install(DIRECTORY . 
	DESTINATION include/enki/
	FILES_MATCHING PATTERN "*.h"
)
install(TARGETS enki ARCHIVE DESTINATION lib)

=== examples/CMakeLists.txt ===
include_directories (${enki_SOURCE_DIR})
link_directories (${enki_BINARY_DIR})

add_executable(enkiTest enkiTest.cpp)
target_link_libraries(enkiTest enki)

=== viewer/CMakeLists.txt ===
# SDL
find_package(SDL)
if (SDL_FOUND)
	include_directories(${SDL_INCLUDE_DIR})
	set(EXTRA_LIBS ${SDL_LIBRARY} ${EXTRA_LIBS})
	add_definitions("-DUSE_SDL")
endif (SDL_FOUND)

find_package(Qt4)

if (QT4_FOUND)

	find_package(OpenGL REQUIRED)
	
	include(${QT_USE_FILE})
	
	set(viewer_lib_SRCS
		Viewer.cpp
		objects/EPuckBody.cpp
		objects/EPuckRest.cpp
		objects/EPuckRing.cpp
		objects/EPuckWheelLeft.cpp
		objects/EPuckWheelRight.cpp
		objects/marxbot-base.cpp
		objects/marxbot-wheel.cpp)
	set(viewer_test_SRCS Playground.cpp)
	
	qt4_automoc(${viewer_lib_SRCS})
	qt4_automoc(${viewer_test_SRCS})
	
	qt4_add_resources(viewer_lib_RCC_SRCS enki-viewer-textures.qrc)
	
	include_directories (${enki_SOURCE_DIR} ${QT_INCLUDE_DIR} ${QT_QTOPENGL_INCLUDE_DIR} ${OPENGL_INCLUDE_DIR} ${CMAKE_BINARY_DIR}/viewer)
	
	link_directories (${enki_BINARY_DIR})
	
	add_library (enkiviewer ${viewer_lib_SRCS} ${viewer_lib_RCC_SRCS})
	add_executable(enkiplayground ${viewer_test_SRCS})
	
	target_link_libraries(enkiplayground enkiviewer enki ${QT_QTOPENGL_LIBRARIES} ${QT_LIBRARIES} ${OPENGL_LIBRARIES} ${EXTRA_LIBS})

	set(ENKI_VIEWER_HDR
		Viewer.h
	)
	install(FILES ${ENKI_VIEWER_HDR}
		DESTINATION include/viewer/
	)
	install(TARGETS enkiviewer ARCHIVE DESTINATION lib)
endif (QT4_FOUND)

=== debian/changelog ===
libenki (1.9-svn155) lucid; urgency=low

  * Deb pre-release

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Mon, 30 Apr 2012 16:04:56 +0200

=== debian/control ===
Source:libenki
Maintainer: Stephane Magnenat <stephane@nospam.magnenant.net>
Section:devel
Priority:optional
Standards-Version: 3.7.2
Build-Depends: cmake (>= 2.6), libqt4-dev, libqt4-opengl-dev

Package:libenki
Architecture: any
Description: Enki is a fast 2D physics-based robot simulator written in C++.
 It is able to simulate cinematics, collisions, sensors and cameras of robots 
 evolving on a flat surface. It also provides limited support for friction.
 It is able to simulate groups of robots hundred times faster than realtime
 on a modern desktop computer.

=== debian/rules ===
#!/usr/bin/make -f

build: clean
	mkdir debian/build
	cd debian/build && cmake -D CMAKE_BUILD_TYPE=relwithdebuginfo -D CMAKE_INSTALL_PREFIX=../tmp/usr ../..
	cd debian/build && make

clean:
	rm -rf debian/files debian/substvars debian/tmp debian/build

binary: binary-arch binary-indep

binary-indep:

binary-arch:
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN
	install -d debian/tmp/usr/share/doc/libenki
	strip --strip-unneeded -R .note -R .comment debian/build/enki/libenki.a
	strip --strip-unneeded -R .note -R .comment debian/build/viewer/libenkiviewer.a
	cp changelog debian/tmp/usr/share/doc/libenki/changelog
	cp debian/changelog debian/tmp/usr/share/doc/libenki/changelog.debian
	cp debian/copyright debian/tmp/usr/share/doc/libenki
	cd debian/build && make install
	chown -R root.root debian/tmp
	chmod -R o-s,go=u,go-ws debian/tmp
	dpkg-gencontrol
	dpkg --build debian/tmp ..
